// components/form/form-input/form-input.js
Component({
  properties: {
    label: String,
    value: String,
    requiredMark: {
      type: Boolean,
      value: true
    },
    activeMode: {
      type: Boolean,
      value: false
    },
  },

  observers: {
    'value': function (val) {
      let self = this;
      if(val) {
        self.setData({
          date: val
        })
      } 
    },
  },

 
  data: {
    styleCss: 'padding: 38rpx 0; line-height: 36rpx font-size: 28rpx; border-bottom: 1rpx dashed #f0f0f0;',
    date: '',
    curDate: '',
  },

  methods: {
    bindDateChange(e) {
      let self = this;
      self.setData({
        date: e.detail.value
      })
      self.triggerEvent('getvalue', {val: e.detail.value})
    }
  }
})