// components/form/form-input/form-input.js
Component({
  properties: {
    label: String,
    value: String,
    type: String,
    requiredMark: {
      type: Boolean,
      value: true
    },
    activeMode: {
      type: Boolean,
      value: true
    },
  },

  observers: {
    'value': function (val) {
      let self = this;
      if(val) {
        self.setData({
          inputValue: val
        })
      } else {
        self.setData({
          inputValue: ''
        })
      }
    },
  },
 
  data: {
    inputValue: '',
    styleCss: 'line-height: 36rpx; font-size: 28rpx; border-bottom: 1rpx dashed #f0f0f0;'
  },

  methods: {
    blurValue(e) {
      let self = this;
      self.triggerEvent('getvalue', {val: e.detail.value})
    }
  }
})