let success = require('../../../utils/successHelper');
const reqInterface = require("../../../api/models");
const reg = require("../../../utils/regHelper");
Page({

  /**
   * 页面的初始数据
   */
  data: {
    info: {
      signPath: '',
      id: ''
    },
    id: '',
    pr: 0,
    width: 0,
    height: 0,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    if (options.id) {
      this.setData({
        id: options.id,
        'info.id': options.id
      });
    }
    let signaImage = this.selectComponent('.signaImage');
    signaImage.ready()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  toNext() {
    let self = this;
    let signaImage = this.selectComponent('.signaImage');
    signaImage.save((res, url) => {
      reqInterface.PostImageUpload(url.tempFilePath).then(res => {
        self.setData({
          'info.signPath': res.data.path
        })
        if (self.data.info.signPath) {
          self.data.info.status = 1;
          reqInterface.PostConsumerinfoSubmit(self.data.info).then(res => {
            self.reset()
            wx.showToast({
              title: '申请成功',
              icon: 'none',
              success(res) {
                setTimeout(() => {
                  if (wx.getStorageSync('id')) {
                    wx.removeStorageSync('id')
                  }
                  wx.reLaunch({
                    url: '/pages/my/index/index',
                  })
                }, 2000)
              }
            })
          })
        } else {
          wx.showToast({
            title: '请进行签名',
            icon: 'none'
          })
          return false;
        }
      })
    })
  },


  toFront() {
    let self = this;
    let pages = getCurrentPages();
    let prevPage = pages[pages.length - 2];
    wx.navigateBack({
      delta: 1,
    })
    prevPage.setData({
      active: 2,
      curActive: 2,
    })
    self.reset()
  },

  //  重置
  reset() {
    let signaImage = this.selectComponent('.signaImage');
    signaImage.clearCanvas()
  },
})