const reqInterface = require('../../../api/models');

Page({

  /**
   * 页面的初始数据
   */
  data: {
    message: false,
    modalContent: '本系统将会获取您的手机号和微信用户信息以用于联系以及显示头像和名称'  
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  getUserProfile() {
    let self = this;
    wx.login({
      success: (res) => {
        console.log(res)
        reqInterface.Login({
          grantType: 'code',
          code: res.code,
          userType: 2
        }).then(res => {
          wx.setStorageSync('token', res.accessToken);
          wx.reLaunch({
            url: '/pages/home/index/index',
          })
        })
      },
    })
  },


  getMessage() {
    let self = this;
    wx.showModal({
      title: '登录须知',
      content: self.data.modalContent,
      confirmText: '我已知晓',
      showCancel: false
    })
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})